unordered_map File Reference

Go to the source code of this file.

## Classes

class | std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >
class | std::__debug::unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc >

## Namespaces

namespace | std
namespace | std::__debug

## Macros

#define | _GLIBCXX_DEBUG_UNORDERED_MAP

## Functions

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__debug::operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__debug::operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__debug::operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | std::__debug::operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | std::__debug::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | std::__debug::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/unordered_map.

## Macro Definition Documentation

## _GLIBCXX_DEBUG_UNORDERED_MAP

#define _GLIBCXX_DEBUG_UNORDERED_MAP

Definition at line 30 of file debug/unordered_map.